Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1055915

Summary: Review Request: stjerm - A roll-down, quake-like terminal emulator
Product: [Fedora] Fedora Reporter: Christopher Meng <i>
Component: Package ReviewAssignee: Darryl L. Pierce <dpierce>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dpierce, package-review, pingou, rc040203, tross
Target Milestone: ---Flags: dpierce: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: Ready
Fixed In Version: stjerm-0.18-2.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-26 05:32:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Christopher Meng 2014-01-21 08:45:15 UTC
Spec URL: http://cicku.me/stjerm.spec
SRPM URL: http://cicku.me/stjerm-0.18-1.fc21.src.rpm
Description: Stjerm is a roll-down, quake-like terminal emulator. Its window is shown with a key shortcut. Stjerm is very minimalistic and works well with Compiz 
window manager.
Fedora Account System Username: cicku

Comment 1 Ralf Corsepius 2014-01-23 05:42:57 UTC
Fails to build in mock:
...
/var/tmp/rpm-tmp.MZVWe3: line 31: autoreconf: command not found
...

Comment 2 Christopher Meng 2014-01-23 06:11:10 UTC
Refined in the original URLs.

Comment 3 Ralf Corsepius 2014-01-23 06:28:23 UTC
(In reply to Christopher Meng from comment #2)
> Refined in the original URLs.
Increment the %release tag each time you change something in your package.

I am not going to continue this review until you release *-2.src.rpm

Comment 4 Christopher Meng 2014-01-23 06:30:01 UTC
(In reply to Ralf Corsepius from comment #3)
> (In reply to Christopher Meng from comment #2)
> > Refined in the original URLs.
> Increment the %release tag each time you change something in your package.
> 
> I am not going to continue this review until you release *-2.src.rpm

Oops, I forgot to say that this review has been assigned by another people, I will submit another package and you can try that one.

Thanks.

Comment 5 Pierre-YvesChibon 2014-01-23 07:00:54 UTC
(In reply to Christopher Meng from comment #4)
> Oops, I forgot to say that this review has been assigned by another people,

At the moment the review is not assigned to anyone but the work has been started by Ralph and it is customary that unless otherwise specified, the person who starts is the person who does the review.
Ralph, the floor is yours.

Comment 6 Christopher Meng 2014-01-23 07:08:22 UTC
(In reply to Pierre-YvesChibon from comment #5)
> At the moment the review is not assigned to anyone but the work has been
> started by Ralph and it is customary that unless otherwise specified, the
> person who starts is the person who does the review.
> Ralph, the floor is yours.

Ah...I don't want to modify the assignee by myself if the assignee isn't me and has been preserved for some people.

I've sent an email in this morning to another people@RH, I hope he can take the review since I've reviewed his package as return.

Note that I don't want to waste everyone's time on such trivial place.

Comment 7 Darryl L. Pierce 2014-01-23 19:58:28 UTC
Hi, I'm the one who offered the review swap. :D

I don't want to step on anybody's toes WRT doing a review swap. I just tried a scratch build of the srpm I downloaded and it worked fine for me.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6446324

I'll do the review if it's okay with others.

Comment 8 Darryl L. Pierce 2014-02-17 19:00:38 UTC
I've done my review of the package. The only issues I came across were the use of macros (Source0 doesn't) and that the URL for Source0 uses https and is invalid.

Please fix the specified items, bump the release and post an updated specfile and SRPM.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in
     /home/mcpierce/Packaging/reviews/1055915-stjerm/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).

     - Source0 should use macros for name and version.

[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://github.com/stjerm/stjerm/archive/stjerm-0.18.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags

     - Source0 uses https. Is that necessary?
     - The actual URL is invalid. I had to download it with:
       https://github.com/stjerm/stjerm/archive/v0.18.tar.gz

[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: stjerm-0.18-1.fc20.x86_64.rpm
          stjerm-0.18-1.fc20.src.rpm
stjerm.x86_64: W: spelling-error %description -l en_US minimalistic -> minimalist, minimalism, animistic
stjerm.src: W: spelling-error %description -l en_US minimalistic -> minimalist, minimalism, animistic
stjerm.src: W: invalid-url Source0: https://github.com/stjerm/stjerm/archive/stjerm-0.18.tar.gz HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint stjerm
stjerm.x86_64: W: spelling-error %description -l en_US minimalistic -> minimalist, minimalism, animistic
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
stjerm (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXinerama.so.1()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libvte.so.9()(64bit)
    rtld(GNU_HASH)



Provides
--------
stjerm:
    stjerm
    stjerm(x86-64)



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1055915
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 9 Christopher Meng 2014-02-28 02:22:18 UTC
Spec URL: http://cicku.me/stjerm.spec
SRPM URL: http://cicku.me/stjerm-0.18-2.fc21.src.rpm

Comment 10 Darryl L. Pierce 2014-03-10 19:40:15 UTC
Sorry it's taken me a week longer than expected to reply. But I've been unable to download the updated specfile from the above URL. The entire cicku.me domain is non-responsive. Can you post the files elsewhere?

Comment 11 Christopher Meng 2014-03-11 01:47:54 UTC
(In reply to Darryl L. Pierce from comment #10)
> Sorry it's taken me a week longer than expected to reply. But I've been
> unable to download the updated specfile from the above URL. The entire
> cicku.me domain is non-responsive. Can you post the files elsewhere?

Are you sure?

Comment 12 Darryl L. Pierce 2014-03-11 11:34:23 UTC
(In reply to Christopher Meng from comment #11)
> (In reply to Darryl L. Pierce from comment #10)
> > Sorry it's taken me a week longer than expected to reply. But I've been
> > unable to download the updated specfile from the above URL. The entire
> > cicku.me domain is non-responsive. Can you post the files elsewhere?
> 
> Are you sure?

Positive, I tried several times over a few days and it was non-responsive. However, it's back to normal today, so I'll wrap this up.

You fixed the two issues I pointed out. Thank you.

Everything looks good.

PACKAGE APPROVED!

Comment 13 Christopher Meng 2014-03-12 11:45:33 UTC
Thanks!


New Package SCM Request
=======================
Package Name: stjerm
Short Description: A roll-down, quake-like terminal emulator
Owners: cicku
Branches: f19 f20 el6 epel7

Comment 14 Gwyn Ciesla 2014-03-12 12:05:26 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2014-03-12 15:14:52 UTC
stjerm-0.18-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/stjerm-0.18-2.fc20

Comment 16 Fedora Update System 2014-03-12 15:15:07 UTC
stjerm-0.18-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/stjerm-0.18-2.fc19

Comment 17 Fedora Update System 2014-03-15 15:06:41 UTC
stjerm-0.18-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 18 Fedora Update System 2014-03-26 05:32:08 UTC
stjerm-0.18-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 19 Fedora Update System 2014-03-26 05:36:03 UTC
stjerm-0.18-2.fc20 has been pushed to the Fedora 20 stable repository.